# Changed by Makefile of cvs.
# DON'T MODIFY THIS FILE OUT OF CVS!

%define version 1.3
%define name rfbdrake

Summary:	Remote Frame Buffer configuration/launcher tool 
Name:		%{name}
Version:	%{version}
Release:  %mkrel 1
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://people.mandrakesoft.com/~daouda/mandrake/rfbdrake.html
Group:		System/Configuration/Other
Requires:	drakxtools >= 9.2-0.15mdk, perl-Gtk2 >= 0.26.cvs.2003.07.15.1-5mdk, 
Requires:   vnc, rfb, rdesktop >= 1.2.0
BuildRequires: perl-MDK-Common-devel
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
rfbdrake is a tool to setup a client/server remote framebuffer
for virtual network computing. It use vncviewer backend at the
client side and x0rfbserver for the server side.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install 

#install lang
%{find_lang} rfbdrake

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):\ 
needs="x11" \
icon="rfbdrake.png" \
section="Internet/Remote Access" \
title="Virtual Network Connection" \
longtitle="A remote frame buffer tool" \
command="/usr/X11R6/bin/rfbdrake" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Virtual Network Connection
Comment=A remote frame buffer tool
Exec=/usr/X11R6/bin/rfbdrake
Icon=%{name}
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-Internet-RemoteAccess;Network;RemoteAccess; Dialup;
EOF


# symbolic link to drakremote 
ln -sf %{_prefix}/X11R6/bin/rfbdrake  ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/drakremote

#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f rfbdrake.lang
%defattr(-,root,root)
%doc README COPYING
%{_prefix}/X11R6/bin/*
%{_datadir}/rfbdrake
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Mon Mar 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3-1mdv2007.1
+ Revision: 141966
- translation snapshot

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2-1mdv2007.1
+ Revision: 106511
- Import rfbdrake



* Tue Jan  9 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2-1mdv2007.1
- fix crash now that vnc is nomore in /usr/X11R6 (#27961)

* Sat Sep 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1-1mdv2007.0
- updated translation

* Fri Sep  8 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-10mdv2007.0
- improved layout
- don't display a banner when embedded
- fix menu group
- XDG menu

* Thu Jun 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-9mdv2007.0
- use our standard Banner widget (thus fixing crash #23129)

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 1.0-8mdk
- main loop fix

* Fri Sep  3 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-7mdk
- fixed combo entry emptiness test

* Wed Sep  1 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-6mdk
- Catch and raise errors when vnc client failed to connect (Tocman)
- cleanups

* Thu Jul 15 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-5mdk
- fix #10253 

* Tue Jun 15 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-4mdk
- Embed rfbdrake in mcc (section Online Administration)

* Wed Jun  2 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-3mdk
- save lang and resolution settings (feature)

* Fri May 21 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-2mdk
- Buildrequires (per Oyvind)

* Wed Mar 17 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-1mdk
- manually handle pty when rfbdrake launched from menu
- po updates 

* Fri Feb 27 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-0.3mdk
- sans 14 for fonts 

* Fri Feb 13 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-0.2mdk
- interact with server without timeout when connection succeeds

* Fri Feb  6 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-0.1mdk
- better expect interface.
- new banner and icons.
- update po
- spec/Makefile cleanup 

* Mon Dec 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-0.2mdk
- rebuild for new drakxtools due to latest rpm policy regarding perl
  dependancies

* Fri Aug  8 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.2-0.1mdk
- use perl-Expect (no more tcltk-Expect bloat)
- No more gtk critical bug (notebook append_page returns something)
- better locale handling
- Cosmetics (Packager tag, New banner -> thanx to ln, no vssh script) 

* Wed Mar 26 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-11mdk
- fix zh_cn locale

* Fri Feb 21 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-10mdk
- po updates
- cosmetic bug fix

* Sat Feb  8 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-9mdk
- snapshot (perl cleanup)

* Thu Feb  6 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-8mdk
- code snapshot :
  o added full screen mode (MdkAct)
  o added automatic keyboard detection (me)
  o WTS page cosmetic changes (MdkAct) 

* Tue Feb  4 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-7mdk
- Add keymaps handle for different language in WTS session.
- rdesktop 1.2.0 aware.
- updated requires 

* Tue Jan 28 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-6mdk
- code update.

* Tue Jan 14 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-5mdk
- add combo box to choose resolution size in WTS page 
     thanx to Chris Weiss (chrisw at wilsonmfg.com)

* Thu Dec 26 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.1-4mdk
- corrected bug ( when "touch-ing" history files)

* Thu Dec 26 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.1-3mdk
- BuildArch = noarch
- remove bad locale (/usr/share/locale/rfbdrake/)

* Thu Dec 26 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.1-2mdk
- resynced with spec file in cvs.
  o nearly rewritten
  o Code cleanup

* Tue Dec 24 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.1-1mdk
- Gtk2 port (app nearly rewritten).
- various code cleanup.

* Wed Oct 30 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.3-8mdk
- BuildRequires: gettext

* Thu Sep  5 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8.3-7mdk
- rebuild to include latest translations

* Thu Aug  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-6mdk
- rebuild (bad upload)
- adapt vssh.exp to tightvnc

* Thu Aug  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-5mdk
- tightvnc client by default

* Mon Jul 29 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-4mdk
- use alternative tightvnc if no genuine vnc
- cleanups

* Sat Jul 20 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-3mdk
- use set_use_arrows_always for host combos
- set to default host (latest connection)

* Tue May 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-2mdk
- requires updates

* Tue May 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3
- add fullscreen choice to Windows terminal service client 
  (no fullscreen by default)
  This allow users to switch between windows without quitting a 
  running windows terminal services session.

* Mon Apr 15 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-15mdk
- symbolic link: drakremote
- embedded mode

* Sun Mar 10 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-13mdk
- po updates 
- cleanup

* Fri Mar  1 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-12mdk
- po updates

* Wed Feb 20 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-11mdk
- updated po's
- cleanup 

* Tue Feb  5 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-10mdk
- code update (rdesktop)
- po updates.
- png icons.

* Tue Jan 15 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-9mdk
- requires.
- in-lined help.
- xpm to png icons.

* Mon Jan 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-8mdk
- new pixmaps
- add URL, WTS support
- add requires

* Mon Jan  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-7mdk
- no fullscreen by default 
- multiple access granted

* Thu Jan  3 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-6mdk
- code update
	o add fullscreen/shared mode
	o better sleep timing

* Tue Dec 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-5mdk
- add hosts history at connection.
- freeze.

* Fri Dec 14 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-4mdk
- code update.
- sleep to get password ready.

* Thu Dec 13 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-3mdk
- add authentification (DES).
- code update

* Wed Nov 28 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-2mdk
- code update
- add menu entry + icons

* Tue Nov 27 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-1mdk
- release.
- code update.
